import { errorRecord } from "../../common/libEventLog/libCrashlytics/libCrashlyticsEvent";
import { CHASSSIS_POSE_DETECTION } from "../../Api/ApiUrls";
// instructions
export const chassiesPoseDetetction = async ({ body }) => {
  try {
    const res = await fetch(`${CHASSSIS_POSE_DETECTION}`, {
      method: "POST",
      headers: {
        "Content-Type": "multipart/form-data",
      },
      body,
    });
    let data = await res.json();
    if (res.status !== 200) {
      throw new Error(data?.error);
    }
    return data;
  } catch (err) {
    errorRecord(err);
    console.log(err);
  }
};
